Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Profiles by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "x_id": "1077446982",
    "url": "https://x.com/RepRWilliams",
    "id": "RepRWilliams",
    "profile_name": "Rep. Roger Williams",
    "biography": "Chairman of @HouseSmallBiz. Conservative fighting for lower taxes, less regulations, and more freedom for Texans.",
    "is_verified": true,
    "profile_image_link": "https://pbs.twimg.com/...",
    "external_link": "https://williams.house.gov/",
    "date_joined": "2013-01-10T19:21:22.000Z",
    "following": 910,
    "followers": 24746,
    "subscriptions": 0,
    "location": "North Texas",
    "birth_date": null,
    "posts_count": 10434,
    "posts": [
      {
        "date_posted": "2026-04-07T19:10:38.000Z",
        "description": "As Chairman of @HouseSmallBiz, I have seen the positive impact the Working Families Tax Cuts have had on small businesses.",
        "likes": 6,
        "post_id": "2041594516373700624",
        "post_url": "https://x.com/RepRWilliams/status/2041594516373700624",
        "replies": 3,
        "reposts": 3,
        "views": 449
      }
    ],
    "is_business_account": false,
    "is_government_account": false,
    "banner_image": "https://pbs.twimg.com/..."
  }
]

Query Parameters

dataset_id
string
default:"gd_lwxmeb2u1cniijd7t4"
required
The dataset ID used for this request.
Must be set to gd_lwxmeb2u1cniijd7t4 to collect Profiles by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://x.com/elonmusk"},
    {"url": "https://x.com/OpenAI"}
  ]
}
[
  {
    "x_id": "1077446982",
    "url": "https://x.com/RepRWilliams",
    "id": "RepRWilliams",
    "profile_name": "Rep. Roger Williams",
    "biography": "Chairman of @HouseSmallBiz. Conservative fighting for lower taxes, less regulations, and more freedom for Texans.",
    "is_verified": true,
    "profile_image_link": "https://pbs.twimg.com/...",
    "external_link": "https://williams.house.gov/",
    "date_joined": "2013-01-10T19:21:22.000Z",
    "following": 910,
    "followers": 24746,
    "subscriptions": 0,
    "location": "North Texas",
    "birth_date": null,
    "posts_count": 10434,
    "posts": [
      {
        "date_posted": "2026-04-07T19:10:38.000Z",
        "description": "As Chairman of @HouseSmallBiz, I have seen the positive impact the Working Families Tax Cuts have had on small businesses.",
        "likes": 6,
        "post_id": "2041594516373700624",
        "post_url": "https://x.com/RepRWilliams/status/2041594516373700624",
        "replies": 3,
        "reposts": 3,
        "views": 449
      }
    ],
    "is_business_account": false,
    "is_government_account": false,
    "banner_image": "https://pbs.twimg.com/..."
  }
]